// This file is part of QuickPlot

// This file is based on the Toolbox Skelton provided with Scilab,
// which is released under the 3-clause BSD license.
// Copyright (C) 2008 - INRIA
// Copyright (C) 2009-2011 - DIGITEO

mode(-1);
lines(0);

function main_builder()

    TOOLBOX_NAME  = "quickplot";
    TOOLBOX_TITLE = "QuickPlot";
    toolbox_dir   = get_absolute_file_path("builder.sce");

    // Check Scilab's version
    // =============================================================================
    reqv = [6 0]; // required version
    v_err_msg = gettext("Scilab " + string(reqv(1)) + "." + string(reqv(2)) + " or more is required.")
    
    try
        v = getversion("scilab");
    catch
        error(v_err_msg);
    end
    
    if v(1) < reqv(1) | ( v(1) == reqv(1) & v(2) < reqv(2) ) then
        error(v_err_msg);
    end

    // Check modules_manager module availability
    // =============================================================================
    if ~isdef("tbx_build_loader") then
        error(msprintf(gettext("%s module not installed."), "modules_manager"));
    end

    // Action
    // =============================================================================
    tbx_builder_macros(toolbox_dir);
    // tbx_builder_src(toolbox_dir);
    // tbx_builder_gateway(toolbox_dir);
    tbx_builder_help(toolbox_dir);
    tbx_build_loader(toolbox_dir);
    tbx_build_cleaner(toolbox_dir);

endfunction
// =============================================================================
main_builder();
clear main_builder; // remove main_builder on stack
// =============================================================================
