// This file is part of QuickPlot

function PLT_Macro_dboxDeleteCurve()

    /****************************************************************
     * Open a dialog box to delete a curve in the current axes
     ****************************************************************/

    if isempty(winsid()) then // if there is no figure
        return;
    end
    
    h = gca();
    if isempty(h.children) then // if there is no element in the axes
        return
    end

    while 1
        polylineHandles = [];
        for i = 1:length(h.children)
            if h.children(i).type == "Legend" then
                legendHandle = h.children(i);
                legendText = legendHandle.text;
            elseif h.children(i).type == "Polyline" then
                polylineHandles = [h.children(i), polylineHandles];
            else
                // do nothing
            end
        end

        num = x_choose(legendText,'Select a curve to delete', 'Cancel');

        if num > 0
            if length(polylineHandles) > 1
                delete(polylineHandles(num));
                legendText(num) = [];
                PLT_Macro_updateDataBounds();
            else
                clf();
                return;
            end
        else
            return;
        end
    end

endfunction
