// This file is part of QuickPlot

function PLT_Macro_dboxEditLegend()
    
    /****************************************************************
     * Open a dialog box to edit legend texts in the current figure
     ****************************************************************/

    if ~isempty(winsid()) then // if there exist at least one figure
        h = gca();
        if isempty(h.children) then return, end;
        for i = 1:length(h.children)
            if h.children(i).type == "Legend" then
                legend_text = h.children(i).text;
                nr = size(legend_text, 'r');
                infomsg = msprintf("Set %d rows of legend text.", nr);
                while 1
                    legend_text_new = x_dialog(infomsg, legend_text);
                    if isempty(legend_text_new) then return, end;
                    nr_new = size(legend_text_new, 'r');
                    if nr_new == nr then
                        h.children(i).text = legend_text_new;
                        return;
                    else
                        if nr == 1
                            errmsg = msprintf("Input must consist of 1 row of legend text.");
                        else
                            errmsg = msprintf("Input must consist of %d rows of legend text.", nr);
                        end
                        btn = messagebox(errmsg, "Error", "error", ["Try again" "Cancel"], "modal");
                        if btn == 1 then
                            continue;
                        else
                            return;
                        end
                    end
                end
            end
        end
    end
    
endfunction
