// This file is part of QuickPlot

function PLT_Macro_dboxTwinkleCurve()

    /****************************************************************
     * Open a dialog box to twinkle a curve in the current axes
     ****************************************************************/

    if isempty(winsid()) then // if there is no figure
        return;
    end
    
    h = gca();
    if isempty(h.children) then // if there is no element in the axes
        return
    end

    polylineHandles = [];
    for i = 1:length(h.children)
        if h.children(i).type == "Legend" then
            legendHandle = h.children(i);
            legendText = legendHandle.text;
        elseif h.children(i).type == "Polyline" then
            polylineHandles = [h.children(i), polylineHandles];
        else
            // do nothing
        end
    end

    while 1
        num = x_choose(legendText,'Select a curve to twinkle','Cancel');

        if num > 0
            twinkle(polylineHandles(num), 3);
        else
            return
        end
    end

endfunction
