// This file is part of QuickPlot

function PLT_Macro_renameData(dataIndex_ZeroBase, newDataName)
    
    /****************************************************************
     * Rename data
     *
     * Input Arguments:
     *     dataIndex_ZeroBase -- data index (zero-base)
     *     newDataName -- New data name
     ****************************************************************/

    global PLT
    
    DataList = PLT_Class_DataList();
    
    dataIndex_OneBase = dataIndex_ZeroBase + 1;
    
    data = PLT.dataList.data(dataIndex_OneBase);
    data.name = newDataName;
    
    PLT.dataList =  DataList.replaceData(PLT.dataList, dataIndex_OneBase, data);
    
    TCL_EvalStr([
        'lset DataNames ' + string(dataIndex_ZeroBase) + ' ' + newDataName;
        'cb_filter_data';
        'cb_ckb_Browse';
    ]);
    
endfunction
