// This file is part of QuickPlot

function PLT_Macro_setVarNames(dataIndex_ZeroBase, varNames)
    
    /****************************************************************
     * Set (replace) variable names
     *
     * Input Arguments:
     *     dataIndex_ZeroBase -- data index (zero-base)
     *     varNames -- string vector of variable names
     ****************************************************************/
        
    global PLT
    
    DataList = PLT_Class_DataList();
    
    dataIndex_OneBase = dataIndex_ZeroBase + 1;
    
    data = PLT.dataList.data(dataIndex_OneBase);
    
    if size(varNames, 'r') ~= data.nCol then
        msg = msprintf("The number of variable names must match the number of columns of data (%d).", data.nCol);
        error(msg);
    end
    data.varNames = varNames;
    
    PLT.dataList =  DataList.replaceData(PLT.dataList, dataIndex_OneBase, data);
    
    TCL_EvalStr([
        'lset VarNamesList ' + string(dataIndex_ZeroBase) + ' [list ' + PLT_Util_strvec2list(data.varNames) + ']';
        'cb_filter_xvar';
        'cb_filter_yvar';
        'cb_ckb_Browse';
    ]);
    
endfunction
