// This file is part of QuickPlot

function PLT_Macro_updateDataBounds()
    
    /****************************************************************
     * Update axes data bounds referring to polyline data
     ****************************************************************/
    
    if ~isempty(winsid()) then // if there exist at least one figure
        h = gca();
        lower_bounds = [];
        upper_bounds = [];
        for i = 1:length(h.children)
            if h.children(i).type == "Polyline" then
                lower_bounds($+1,:) = min(h.children(i).data, 'r');
                upper_bounds($+1,:) = max(h.children(i).data, 'r');
            end
        end
        
        if ~isempty(lower_bounds)
            data_bounds = [min(lower_bounds, 'r'); max(upper_bounds, 'r')];
            h.data_bounds = data_bounds;
            h.user_data = data_bounds; // copied in user_data
        else
            return;
        end
    end
    
endfunction
