// This file is part of QuickPlot

function derivedTList = PLT_Util_createTList(typeName, fieldsStruct, varargin)
    
    /****************************************************************
     * Generate a tlist
     *
     * Input Arguments:
     *     typeName -- type name of the generated tlist
     *     fieldsStruct -- a struct specifying name and value of each field
     *     baseTList (optional) -- base tlist
     * Output Arguments:
     *     derivedTList -- generated tlist
     ****************************************************************/
    
    if argn(2) >= 3 then
        baseTList = varargin(1);
        derivedTList = baseTList;
        derivedTList(1)(1) = typeName; // Change data type
    else 
        derivedTList = tlist(typeName);
    end
    fieldNames = fieldnames(fieldsStruct);
    for i = 1:size(fieldNames, 1)
        fieldName = fieldNames(i);
        if ~isfield(derivedTList, fieldName) then
            derivedTList(1)($+1) = fieldName; // Add a field
        end
        derivedTList(fieldName) = fieldsStruct(fieldName);
    end
    
endfunction
