// This file is part of QuickPlot

function out_list = PLT_Util_strvec2list(in_strvec)
    
    /****************************************************************
     * Convert a string vector to a string that can be used to define a list in Tcl
     *
     * Input Arguments:
     *     in_strvec -- a string vector (e.g. ['abc'; 'de'; 'fghi'])
     *
     * Output Arguments:
     *     out_list -- a string that can be used to define a list in Tcl (e.g. {{abc} {de} {fghi}})
     ****************************************************************/

    out_list = '';
    for i = 1:max(size(in_strvec))
        out_list = out_list + '{' + in_strvec(i) + '} ';
    end
   
endfunction
