// This file is part of QuickPlot

function values = PLT_varval(dataName, varName)
    
    /****************************************************************
     * Get variable values
     *
     * Input Arguments:
     *     dataName -- data name
     *     varName -- variable name
     *
     * Output Arguments:
     *     values -- Variable values
     ****************************************************************/
    
    global PLT
    
    dataLength = length(PLT.dataList.data);
    dataNames = [];
    for i = 1:dataLength
        dataNames($+1,1) = PLT.dataList.data(i).name;
    end
    dataIndex = find(dataNames == dataName);
    if isempty(dataIndex) then
        msg = msprintf('Unknown data name ""%s"" found in varval function', dataName);
        error(msg);
    end
    data = PLT.dataList.data(dataIndex);
    
    varIndex = find(data.varNames == varName);
    if isempty(varIndex) then
        msg = msprintf('Unknown variable name ""%s"" found in varval function', varName);
        error(msg);
    end
    values = data.numeric(:, varIndex);
    
endfunction
