// This file is part of QuickPlot

function quickplot()
    // check if Tcl/Tk module is installed
    if (~with_module('tclsci'))
        error('Tcl/Tk is not available');
    end

    // check if QuickPlot window exists already
    TCL_EvalStr("set h [winfo exists .w]");
    if TCL_GetVar("h") == "1" then
        error('QuickPlot is already running');
    end

    // create and initialize a global variable that holds the data list 
    global PLT;
    PLT = tlist(['PLT_Global', 'dataList']);
    DataList = PLT_Class_DataList();
    PLT.dataList = DataList.new();
    
    // run Tcl script
    if isdef('quickplotlib') then
        [macros, path] = libraryinfo('quickplotlib');
    else
        path = './'; // THIS IS FOR DEV ENVIRONMENT ONLY!!
    end
    TCL_EvalFile(fullfile(path, '..', 'tcl', 'quickplot.tcl'));

endfunction
